Skip to main content
POST
/
users
/
{app_user_id}
/
transactions
/
app-store
Register App Store Transaction
curl --request POST \
  --url https://api.winwinkit.com/users/{app_user_id}/transactions/app-store \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "original_transaction_id": "2000000123456789",
  "app_account_token": "550e8400-e29b-41d4-a716-446655440000"
}
'
{
  "errors": [
    {
      "code": "<string>",
      "status": 123,
      "message": "<string>",
      "source": "<string>"
    }
  ]
}

Headers

x-api-key
string
required

The API key to authenticate with.

Path Parameters

app_user_id
string
required

The app user id of the user.

Body

application/json
original_transaction_id
string
required

Apple's originalTransactionId from StoreKit.

Example:

"2000000123456789"

app_account_token
string | null

StoreKit 2 appAccountToken UUID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

The transaction mapping has been registered.